Postgres-XC 1.1 Documentation
Prev | Up |  | Next

# dblink_get_notify

## Name

dblink_get_notify -- retrieve async notifications on a connection

## Synopsis

    dblink_get_notify() returns setof (notify_name text, be_pid int, extra text)
    dblink_get_notify(text connname) returns setof (notify_name text, be_pid int, extra text)

## Description

> Note: The following description applies only to Postgres-XC

`dblink` module has not been tested with Postges-XC yet. Although there're no reason that `dblink` does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

> Note: The following description applies only to PostgreSQL

`dblink_get_notify` retrieves notifications on either the unnamed connection, or on a named connection if specified. To receive notifications via dblink, `LISTEN` must first be issued, using `dblink_exec`. For details see LISTEN and NOTIFY.

## Arguments

> Note: The following description applies only to Postgres-XC

`dblink` module has not been tested with Postges-XC yet. Although there're no reason that `dblink` does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

> Note: The following description applies only to PostgreSQL

`conname`

  The name of a named connection to get notifications on.

## Return Value

> Note: The following description applies only to Postgres-XC

`dblink` module has not been tested with Postges-XC yet. Although there're no reason that `dblink` does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

> Note: The following description applies only to PostgreSQL

Returns `setof (notify_name text, be_pid int, extra text)`, or an empty set if none.

## Examples

> Note: The following description applies only to Postgres-XC

`dblink` module has not been tested with Postges-XC yet. Although there're no reason that `dblink` does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

> Note: The following description applies only to PostgreSQL

    SELECT dblink_exec('LISTEN virtual');
     dblink_exec
    -------------
     LISTEN
    (1 row)

    SELECT * FROM dblink_get_notify();
     notify_name | be_pid | extra
    -------------+--------+-------
    (0 rows)

    NOTIFY virtual;
    NOTIFY

    SELECT * FROM dblink_get_notify();
     notify_name | be_pid | extra
    -------------+--------+-------
     virtual     |   1229 |
    (1 row)

Prev | Home | Next
dblink_is_busy | Up | dblink_get_result